Loading...
Searching...
No Matches
tr_tcp_config Struct Reference
Transport sockets » TCP transport socket

`#include "tcp_transport.h"`

## Data Fields

char * | bindaddr
unsigned int | connect_timeout
void * | data
char * | host
int(* | new_socket )(void *data)
char * | port

## Detailed Description

Parameters

  host | Hostname or IP address to connect to.
  port | Port to connect to.
  bindaddr | Hostname or IP address to connect from. NULL for determination by OS. to use the source address of the system's default route to the server
  data | Information to pass to callback function in charge of retrieving socket
  new_socket(void | *opaque_info) callback routine, that Pointer to the function that is called every time a new connection is made. The returned socket is expected to be ready for use (e.g. in state established), and must use a reliably stream-oriented transport. When new_socket() is used, host, port, and bindaddr are not used.
  connect_timeout | Time in seconds to wait for a successful connection. Defaults to RTRLIB_TRANSPORT_CONNECT_TIMEOUT_DEFAULT

Examples
  rtr_mgr.c.